/*
 * $Id: HTMLTemplate.java,v 1.1 2005/09/08 01:32:34 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/08/22
 */
package feat.v1.template;

import feat.v1.config.FileLocator;

/**
 * テンプレートのインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface HTMLTemplate {
    /**
     * テンプレートのコピーを返す。
     * このメソッドはスレッドセーフ。
     * @return feat.html.HTMLTagNode
     */
    public HTMLDocument getDocument();

    public String getEncoding();

    public FileLocator getLocation();
}